Показать статистику
0 голосов
от (1.2тыс. баллов)

В соседней ветке я задавал вопрос по поводу обновления системы до Mojave на моем макбуке про 2011 года. У меня есть второй мак, выданный на работе. Так вот, на этом втором своем рабочем Macbook я успешно обновился до Mojave. Но теперь каждый раз когда я запускаю git в терминале, получаю такую ошибку:

xcrun: error: invalid active developer path (/Library/Developer/CommandLineTools), missing xcrun at: /Library/Developer/CommandLineTools/usr/bin/xcrun

Есть у кого нибудь мысли как это исправить и откуда эта ошибка появилась?

919 просмотров 1 ответов
от (4.2тыс. баллов)
0

У меня такая же ошибка была и на High Sierra. Вылечилось так:

xcode-select --install

1 Ответ

0 голосов
от (15.5тыс. баллов)

Откройте терминал и выполните:

xcode-select --install

Xcode скачает и установит xcode developer tools и это исправит проблему. 

По хорошему, вам этот Xcode для работы с git не нужен. Можно обойтись только одними Command Line Tools (они входят в состав Xcode). Но проблема в том, что только через вышеуказанную команду можно принять условия соглашения. 

Сами Command Line Tools расположены по адресу:

/Library/Developer/CommandLineTools

Обратите внимание на официальную документацию от Apple. 

...